<?php // maneja las ofertas para la impresion de reportes con colores
require('conexion.php');
require('fpdf/fpdf.php');

class PDF extends FPDF
{
var $widths;
var $aligns;

function SetWidths($w)
{
	//Set the array of column widths
	$this->widths=$w;
}

function SetAligns($a)
{
	//Set the array of column alignments
	$this->aligns=$a;
}

function Row($data)
{
	//Calculate the height of the row
	$nb=0;
	for($i=0;$i<count($data);$i++)
		$nb=max($nb,$this->NbLines($this->widths[$i],$data[$i]));
	$h=5*$nb;
	//Issue a page break first if needed
	$this->CheckPageBreak($h);
	//Draw the cells of the row
	for($i=0;$i<count($data);$i++)
	{
		$w=$this->widths[$i];
		$a=isset($this->aligns[$i]) ? $this->aligns[$i] : 'L';
		//Save the current position
		$x=$this->GetX();
		$y=$this->GetY();
		//Draw the border
		
		$this->Rect($x,$y,$w,$h);

		$this->MultiCell($w,5,$data[$i],0,$a,'true');
		//Put the position to the right of the cell
		$this->SetXY($x+$w,$y);
	}
	//Go to the next line
	$this->Ln($h);
}

function CheckPageBreak($h)
{
	//If the height h would cause an overflow, add a new page immediately
	if($this->GetY()+$h>$this->PageBreakTrigger)
		$this->AddPage($this->CurOrientation);
}

function NbLines($w,$txt)
{
	//Computes the number of lines a MultiCell of width w will take
	$cw=&$this->CurrentFont['cw'];
	if($w==0)
		$w=$this->w-$this->rMargin-$this->x;
	$wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
	$s=str_replace("\r",'',$txt);
	$nb=strlen($s);
	if($nb>0 and $s[$nb-1]=="\n")
		$nb--;
	$sep=-1;
	$i=0;
	$j=0;
	$l=0;
	$nl=1;
	while($i<$nb)
	{
		$c=$s[$i];
		if($c=="\n")
		{
			$i++;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
			continue;
		}
		if($c==' ')
			$sep=$i;
		$l+=$cw[$c];
		if($l>$wmax)
		{
			if($sep==-1)
			{
				if($i==$j)
					$i++;
			}
			else
				$i=$sep+1;
			$sep=-1;
			$j=$i;
			$l=0;
			$nl++;
		}
		else
			$i++;
	}
	return $nl;
}

function Header()
{

	$this->SetFont('Arial','',10);
	$this->Text(20,14,'Historial OFERTAS',0,'C', 0);
	$this->Ln(30);
}

function Footer()
{
	$this->SetY(-15);
	$this->SetFont('Arial','B',8);
	$this->Cell(100,10,'Historial OFERTAS',0,0,'L');

}

}

	$paciente= $_GET['id'];
	$con = new DB;
	$pacientes = $con->conectar();	
	//echo $paciente;
	//$strConsulta = "SELECT * from OFERTAS where ID_OFERTA =  '$paciente'";
	 /*$strConsulta = " SELECT ID_OFERTA,AREATRABAJO,PUESTO,SALARIO,LUGARTRABAJO,TIPOCONTRATO,NUMEROCARGOS,
	 EXPERIENCIA,ACTIVIDADCARGO,CAPACITACION,INFOMACIONADICIONAL,FECHAREGISTRO,FECHACADUCIDAD,ID_EMPRESA,VERIFICARADMIN FROM OFERTAS WHERE ID_OFERTA = '$paciente' ";*/
	$strConsulta ="SELECT * FROM OFERTAS WHERE id_oferta = '$paciente' ";

	$pacientese = mysql_query($strConsulta);
	$fila = mysql_fetch_array($pacientese); //error

	$pdf=new PDF('L','mm','Letter');
	$pdf->Open();
	$pdf->AddPage();
	$pdf->SetMargins(10,10,10);
	$pdf->Ln(10);

    $pdf->SetFont('Arial','',12);
    $pdf->Cell(0,6,'ID: '.$fila[0],0,1);
	$pdf->Cell(0,6,'AREA: '.$fila[1],0,1);
	$pdf->Cell(0,6,'PUESTO: '.$fila[2],0,1); 
	$pdf->Cell(0,6,'ACTIVIDAD CARGO: '.$fila[8],0,1); 
	$pdf->Cell(0,6,'CAPACITACION: '.$fila[9],0,1);
	$pdf->Cell(0,6,'INFO ADICIONAL: '.$fila[10],0,1);
	$pdf->Cell(0,6,'NUMERO CARGOS: '.$fila[6],0,1);
	$pdf->Cell(0,6,'EXPERIENCIA: '.$fila[7],0,1); // hasta el campo 7 experiencia
	if($fila[13]==1)
	{
		$pdf->Cell(0,6,'ESTADO: APROBADO',0,1);
	}
	else
	{
		$pdf->Cell(0,6,'ESTADO: NO APROBADO',0,1);
	}
	
	$pdf->Ln(10);
	
	$pdf->SetWidths(array(8, 60, 28, 40, 23, 26, 35));//SE MODIFICO EL PRIMER NUMEO 
	$pdf->SetFont('Arial','B',10);
	$pdf->SetFillColor(0,0,0);
    $pdf->SetTextColor(255);

		for($i=0;$i<1;$i++)
			{
				$pdf->Row(array('No', 'SALARIO', 'LUGAR','TIPO CONTRATO', 'REGISTRO','CADUCIDAD', 'EMPRESA'));
			}
	
	$historial = $con->conectar();	
	/*$strConsulta = "SELECT 	OFERTAS.AREATRABAJO, OFERTAS.PUESTO, OFERTAS.LUGARTRABAJO,OFERTAS.SALARIO,OFERTAS.NUMEROCARGOS, OFERTAS.ACTIVIDADCARGO, OFERTAS.id_empresa, EMPRESAS.id_empresa FROM OFERTAS 
	Inner Join EMPRESAS ON OFERTAS.id_empresa = EMPRESAS.id_empresa

	WHERE ofertas.id_empresa = '$paciente'";*/
	$busquedaempresa =mysql_query("SELECT id_empresa,razonsocial FROM EMPRESAS WHERE id_empresa= $fila[14]");
	while ($rowe=mysql_fetch_array($busquedaempresa))
	 {
		$nombreempresa=$rowe['razonsocial'];
	}
	$historial = mysql_query($strConsulta);
	$numfilas = mysql_num_rows($historial);
	$numerfilas=0; // control de numeros secuenciales
	for ($i=0; $i<$numfilas; $i++)
		{
			$numerfilas=$numerfilas+1;
			$fila = mysql_fetch_array($historial);
			$pdf->SetFont('Arial','',10);
			
			if($i%2 == 1)
			{
				$pdf->SetFillColor(255,255,255);
    			$pdf->SetTextColor(0);
				$pdf->Row(array($numerfilas,$fila[3], $fila[4],$fila[5], $fila[11],$fila[12],$nombreempresa));
			}
			else
			{
				$pdf->SetFillColor(255,255,255);
    			$pdf->SetTextColor(0);
			$pdf->Row(array($numerfilas,$fila[3], $fila[4],$fila[5], $fila[11],$fila[12],$nombreempresa));
			}
		}

$pdf->Output();
/*
$paciente= $_GET['id'];
echo $paciente;*/
?>